> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rockapi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get in Gemini format

> Return the available model list in Gemini API format



## OpenAPI

````yaml /fr/api-reference/openapi.json get /v1beta/models
openapi: 3.0.1
info:
  title: Rock API API de modèles IA
  version: 1.0.0
  description: Référence de l’API de modèles IA compatible OpenAI pour Rock API.
servers:
  - url: https://rockapi.ai
security:
  - BearerAuth: []
tags:
  - name: List models
  - name: OpenAI format (Chat)
  - name: OpenAI format (Responses)
  - name: Image generation
  - name: Image generation/OpenAI-compatible format
  - name: Image generation/Qwen
  - name: Video generation
  - name: Video generation/Sora-compatible format
  - name: Video generation/Kling format
  - name: Video generation/Jimeng format
  - name: Claude format (Messages)
  - name: Gemini format
  - name: OpenAI format (Embeddings)
  - name: Text completions
  - name: OpenAI audio
  - name: Rerank
  - name: Moderations
  - name: Realtime
  - name: Not implemented
  - name: Not implemented/Fine-tunes
  - name: Not implemented/Files
paths:
  /v1beta/models:
    get:
      tags:
        - List models
      summary: Get in Gemini format
      description: Return the available model list in Gemini API format
      operationId: listModelsGemini
      parameters: []
      responses:
        '200':
          description: Model list retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GeminiModelsResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  schemas:
    GeminiModelsResponse:
      type: object
      properties:
        models:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
                example: models/gemini-pro
              version:
                type: string
              displayName:
                type: string
              description:
                type: string
              inputTokenLimit:
                type: integer
              outputTokenLimit:
                type: integer
              supportedGenerationMethods:
                type: array
                items:
                  type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |
        Authenticate with a Bearer Token.
        Format: `Authorization: Bearer sk-xxxxxx`

````